Subject: Re: ClearCase don't like files created in bash
From: [email-masked]

7 Sep 1998 18:31:40 -0700
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain
Content-Transfer-Encoding: 7bit
To: [email-masked]

 ---- Earnie Boyd  wrote: 
> Here's my guess.  You have the cygwin mounts in binary mode and the
> ClearCase-PC tool is expecting to have \r\n and not just \n.  If this
> is the case then clearly (no pun intended) ClearCase-PC has the bug.
> 
> [email-masked] wrote:
> >
> > Hello,
> > 
> > I have a problem while using ClearCase to control files created in
> BASH.
> > If I create a file within a bash session (let say typing "touch
>> polo.txt"). Then I can not copy the file to a ClearCase view (which is
>> controled by ClearCase).
> > I have got the following message:
> > ---------------------------
> > The system cannot find message for message number 0x13d
> > in message file for System.
> >               0 files copied.
> > ---------------------------
> > 
....

I don't think the problem comes from the \r\n compared to \n.  Indeed, even if the files are empty (e.g. creating  a file with touch), I still have the problem.

But it might come from the end of file caracter : CTRL-Z (DOS) or CTRL-D (Unix).

You told me that Cygwin is mounted in binary mode: I didn't mount anything. I only use my existing drives on NT. Should I mount something with some options to avoid these problems ?
I am going to try the ClearCase Unix mode if you think that is a file format issue.

BUT still I don't understand something, if the files were created with \r\n I should be able to see the difference in notepad. And I CAN NOT. Theses files ares editable in notepad and they have the genuine format.

PS: Is there a way to look at the contents of my file in hexa mode. And more precisely at end of file caracter ? I used to use debug for that but I don't know how to use it anymore.

Still looking,
Laurent

--------------------------------------------------------------------------------
 -------------------------------\r\nGet your free email from altavista.iname.com
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".